Issue 112513 - [sw] unxsols4: cannot import ODT file with document index mark
Summary: [sw] unxsols4: cannot import ODT file with document index mark
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: DEV300m83
Hardware: Sun Solaris
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-06-18 14:52 UTC by oc
Modified: 2013-08-07 14:44 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description oc 2010-06-18 14:52:52 UTC
On Solaris Sparc open new textdocument and INSERT-Indexes and Tables => Read Error
Comment 1 Oliver Specht 2010-06-18 17:10:57 UTC
->mst: Could you please find out what's going wrong here?
Comment 2 helge.delfs 2010-06-21 08:23:33 UTC
added cc
Comment 3 mst.ooo 2010-06-21 17:17:57 UTC
due to the same compiler bug as issue 111177, but for SwXDoucmentIndexMark:

does not work:
        , m_bIsDescriptor(0 == pMark)
works:
        , m_bIsDescriptor((0 == pMark) ? true : false)

(strangely the first construct does seem to work in SwXDocumentIndex...)
Comment 4 mst.ooo 2010-06-25 17:09:54 UTC
fixed in cws sw33bf06
http://hg.services.openoffice.org/hg/cws/sw33bf06/rev/5a43fa1f124c
Comment 5 mst.ooo 2010-07-02 14:38:52 UTC
please verify
Comment 6 mst.ooo 2010-07-02 14:42:09 UTC
.
Comment 7 michael.ruess 2010-07-07 11:08:00 UTC
Verfied in CWS sw33bf06.
Comment 8 michael.ruess 2010-08-06 08:13:56 UTC
Checked in OOO330m2.